#
# spec file for package dhcp-tools
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           dhcp-tools
Url:            http://www.mavetju.org/unix/general.php
%define DUMP dhcpdump-1.6
%define PING dhcping-1.2
License:        BSD-3-Clause
Group:          Productivity/Networking/Boot/Utilities
BuildRequires:  automake
Version:        1.6
Release:        190.3
Summary:        DHCP Tools
Source:         dhcpdump-1.6.tar.gz
Source1:        dhcping-1.2.tar.gz
Patch1:         dhcpdump-1.6-tcpdump-3.8.1.dif
Patch2:         dhcpdump-1.6-tcpdump-3.8.2.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Two utilities, written by Edwin Groothuis, to test and debug DHCP:

dhcpdump This parses tcpdump output to display the dhcp-packets for
easier checking and debugging.

dhcping This allows the system administrator to check if a remote DHCP
server is still functioning.

Home page: http://www.mavetju.org

%prep
%setup -c -n %{name}
%setup -n %{name} -T -D -a 1
%if %suse_version > 900
%patch1
%endif
%if %suse_version > 910
pushd dhcpdump*
%patch2 -p1
popd
%endif

%build
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
for i in %{DUMP} %{PING}; do
	pushd $i
	aclocal
	autoconf
	touch NEWS README AUTHORS ChangeLog
	automake --add-missing
	%{configure}
	make %{?_smp_mflags}
	touch *.pod
	make *.pod
	popd
done

%install
make -C %{DUMP} DESTDIR=$RPM_BUILD_ROOT install
make -C %{PING} DESTDIR=$RPM_BUILD_ROOT install
mkdir dhcpdump dhcping
cp -p %{DUMP}/{CHANGES,CONTACT,FILES,dhcp_options.h,LICENSE} dhcpdump/
cp -p %{PING}/{CHANGES,CONTACT,FILES,LICENSE} dhcping/

%files
%defattr(-,root,root)
%doc dhcpdump
%doc dhcping
/usr/bin/dhcpdump
/usr/bin/dhcping
%{_mandir}/man1/dhcpdump.1.gz
%{_mandir}/man8/dhcping.8.gz

%changelog
* Fri Dec  2 2011 coolo@suse.com
- add automake as buildrequire to avoid implicit dependency
* Sun Sep 18 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
  (cf. packaging guidelines)
- Use %%_smp_mflags for parallel build
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Oct  5 2005 dmueller@suse.de
- add norootforbuild
* Thu Sep  9 2004 poeml@suse.de
- fix parsing of IP header and data packages for output of
  tcpdump-3.8.[23] [#44946], and apply the fix on 9.2 or newer
- apply previous patch on 9.1 or newer
* Mon May 10 2004 poeml@suse.de
- fix parsing of IP header for output of tcpdump-3.8.1 [#38528]
* Wed Mar  3 2004 poeml@suse.de
- update dhcpdump to 1.5
  - Option 82, submitted by Phil Pennock <pdp@nl.demon.net>
  - Add fflush(), submitted by Gary Colman <gary@colmans.net>
  - Fix problem with padding, they were not handled properly
    and caused old memory to be reused.
- compile with -fno-strict-aliasing
* Thu Jul 24 2003 poeml@suse.de
- update dhcpdump to 1.5. Rephrased changelog:
  - better input checking regarding validity of the header of the UDP packet
  - Added some DHCP options from the INIA website (not all are parsed yet)
  - added chaddr filter, contributed by Peter Apian-Bennewitz
  - client-identifier is now printed as long as it is.
  - autoconfiscated
- update dhcping to 1.2 (no significant changes)
- install CHANGES and other accompanying files
- use %%defattr
- re-create man pages
* Fri Aug 24 2001 poeml@suse.de
- update dhcpdump to 1.2 and dhcping to 1.1
* Wed Mar 21 2001 poeml@suse.de
- new package
